%define upstream_name LWP-ConsoleLogger
%define upstream_version 0.000023

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    LWP tracing and debugging
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Printer) >= 0.360.0
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::FormatText::WithLinks)
BuildRequires: perl(HTML::Restrict)
BuildRequires: perl(HTTP::Body)
BuildRequires: perl(HTTP::CookieMonster)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(JSON::MaybeXS) >= 1.3.5
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Log::Dispatch)
BuildRequires: perl(Log::Dispatch::Array)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Module::Load::Conditional)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::StrictConstructor)
BuildRequires: perl(Parse::MIME)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Plack::Handler::HTTP::Server::Simple) >= 0.16.0
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Test::Agent)
BuildRequires: perl(String::Trim)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Term::Size::Any)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Text::SimpleTable::AutoWidth) >= 0.90.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(Types::Common::Numeric)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(URI::Query)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(URI::file)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
BETA BETA BETA. This is currently an experiment. Things could change.
Please adjust accordingly.

It can be hard (or at least tedious) to debug mechanize scripts.
LWP::Debug is deprecated. It suggests you write your own debugging
handlers, set up a proxy or install Wireshark. Those are all workable
solutions, but this module exists to save you some of that work. The
guts of this module are stolen from Plack::Middleware::DebugLogging,
which in turn stole most of its internals from Catalyst. If you're new
to LWP::ConsoleLogger, I suggest getting started with the
LWP::ConsoleLogger::Easy wrapper. This will get you up and running in
minutes. If you need to tweak the settings that
LWP::ConsoleLogger::Easy chooses for you (or if you just want to be
fancy), please read on.

Since this is a debugging library, I've left as much mutable state as
possible, so that you can easily toggle output on and off and otherwise
adjust how you deal with the output.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.0.23-3pclos2017
- rebuild against updates

